Bug 78119 - [REPOCOPY REQUEST] move www/apache2 to www/apache20
[REPOCOPY REQUEST] move www/apache2 to www/apache20
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: clement
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-26 15:50 UTC by clement
Modified: 2005-06-06 16:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description clement freebsd_committer 2005-02-26 15:50:14 UTC
	

[ copy and paste from a mail to linimon@ ]
Apache team currently votes to promote apache 2.1.3 to "beta" which
means that few apache 2.1.x will be released and then apache 2.2.x,
the new stable branch will appear. There's no EOL planned for 2.0.x so
2.0.x and 2.(1|2) needs to live together in port tree. Like FreeBSD, 
apache release cycle includes few beta releases in new stable branch, 
even if it's not stable.
Apache 2.0 is growing fast, renaming apache2 port directory should be
done ASAP, IMHO.

You can find a patch here:
http://people.freebsd.org/~clement/apache/download/ports/patches/repocopy-apache2-to-apache20.diff
Comment 1 clement freebsd_committer 2005-02-26 15:51:02 UTC
State Changed
From-To: open->repocopy

into portmgr's hands. 


Comment 2 clement freebsd_committer 2005-02-26 15:51:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

into portmgr's hands.
Comment 3 Joe Marcus Clarke freebsd_committer 2005-02-26 20:38:25 UTC
State Changed
From-To: repocopy->open

Repo-copy completed. 


Comment 4 Joe Marcus Clarke freebsd_committer 2005-02-26 20:38:25 UTC
Responsible Changed
From-To: portmgr->clement

Repo-copy completed.
Comment 5 clement freebsd_committer 2005-03-14 14:34:41 UTC
State Changed
From-To: open->suspended

Awaiting for a pointyhat build.
Comment 6 kris 2005-05-20 18:50:38 UTC
On Sat, Feb 26, 2005 at 03:52:53PM +0000, Clement Laforet wrote:
> Synopsis: [REPOCOPY REQUEST] move www/apache2 to www/apache20
> 
> State-Changed-From-To: open->repocopy
> State-Changed-By: clement
> State-Changed-When: Sat Feb 26 15:51:02 GMT 2005
> State-Changed-Why: 
> into portmgr's hands.
> 
> 
> Responsible-Changed-From-To: freebsd-ports-bugs->portmgr
> Responsible-Changed-By: clement
> Responsible-Changed-When: Sat Feb 26 15:51:02 GMT 2005
> Responsible-Changed-Why: 
> into portmgr's hands.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=78119


What is the status of this repo-copy?  It looks like it was never
completed by you.

Kris

Comment 7 clement freebsd_committer 2005-05-20 19:59:39 UTC
On Fri, May 20, 2005 at 10:50:38AM -0700, Kris Kennaway wrote:
> On Sat, Feb 26, 2005 at 03:52:53PM +0000, Clement Laforet wrote:
> > Synopsis: [REPOCOPY REQUEST] move www/apache2 to www/apache20
> > 
> > State-Changed-From-To: open->repocopy
> > State-Changed-By: clement
> > State-Changed-When: Sat Feb 26 15:51:02 GMT 2005
> > State-Changed-Why: 
> > into portmgr's hands.
> > 
> > 
> > Responsible-Changed-From-To: freebsd-ports-bugs->portmgr
> > Responsible-Changed-By: clement
> > Responsible-Changed-When: Sat Feb 26 15:51:02 GMT 2005
> > Responsible-Changed-Why: 
> > into portmgr's hands.
> > 
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=78119
> 
> What is the status of this repo-copy?  It looks like it was never
> completed by you.


I'm still waiting for the build Kirill promised me. BTW, patch is 
trivial. I just need portmgr approval to modify bsd.port.mk.

clem
Comment 8 kris 2005-05-20 20:08:52 UTC
On Fri, May 20, 2005 at 08:59:39PM +0200, Clement Laforet wrote:
> On Fri, May 20, 2005 at 10:50:38AM -0700, Kris Kennaway wrote:
> > On Sat, Feb 26, 2005 at 03:52:53PM +0000, Clement Laforet wrote:
> > > Synopsis: [REPOCOPY REQUEST] move www/apache2 to www/apache20
> > > 
> > > State-Changed-From-To: open->repocopy
> > > State-Changed-By: clement
> > > State-Changed-When: Sat Feb 26 15:51:02 GMT 2005
> > > State-Changed-Why: 
> > > into portmgr's hands.
> > > 
> > > 
> > > Responsible-Changed-From-To: freebsd-ports-bugs->portmgr
> > > Responsible-Changed-By: clement
> > > Responsible-Changed-When: Sat Feb 26 15:51:02 GMT 2005
> > > Responsible-Changed-Why: 
> > > into portmgr's hands.
> > > 
> > > http://www.freebsd.org/cgi/query-pr.cgi?pr=78119
> > 
> > What is the status of this repo-copy?  It looks like it was never
> > completed by you.
> 
> I'm still waiting for the build Kirill promised me. BTW, patch is 
> trivial. I just need portmgr approval to modify bsd.port.mk.


OK, we're hoping to do a b.p.m patchset in the next few days.  I'll
remind Kirill to include this.

Kris
Comment 9 clement freebsd_committer 2005-05-22 09:58:41 UTC
On Fri, May 20, 2005 at 12:08:52PM -0700, Kris Kennaway wrote:
> On Fri, May 20, 2005 at 08:59:39PM +0200, Clement Laforet wrote:
> > On Fri, May 20, 2005 at 10:50:38AM -0700, Kris Kennaway wrote:
> > > On Sat, Feb 26, 2005 at 03:52:53PM +0000, Clement Laforet wrote:
> > > > Synopsis: [REPOCOPY REQUEST] move www/apache2 to www/apache20
> > > > 
> > > > State-Changed-From-To: open->repocopy
> > > > State-Changed-By: clement
> > > > State-Changed-When: Sat Feb 26 15:51:02 GMT 2005
> > > > State-Changed-Why: 
> > > > into portmgr's hands.
> > > > 
> > > > 
> > > > Responsible-Changed-From-To: freebsd-ports-bugs->portmgr
> > > > Responsible-Changed-By: clement
> > > > Responsible-Changed-When: Sat Feb 26 15:51:02 GMT 2005
> > > > Responsible-Changed-Why: 
> > > > into portmgr's hands.
> > > > 
> > > > http://www.freebsd.org/cgi/query-pr.cgi?pr=78119
> > > 
> > > What is the status of this repo-copy?  It looks like it was never
> > > completed by you.
> > 
> > I'm still waiting for the build Kirill promised me. BTW, patch is 
> > trivial. I just need portmgr approval to modify bsd.port.mk.
> 
> OK, we're hoping to do a b.p.m patchset in the next few days.  I'll
> remind Kirill to include this.


You can find an up to date patch here:
http://people.freebsd.org/~clement/apache/download/ports/patches/repocopy-apache2-to-apache20.diff
I'll sync www/apache2 and www/apache20 ASAP.

thanks,
clem
Comment 10 clement freebsd_committer 2005-06-06 16:18:55 UTC
State Changed
From-To: suspended->closed

exp build includes this patch, and more...